Retrieve all supported currencies. Required scope: currency:read.
Authorization
oauth2ClientCredentials currency:readAuthorizationBearer <token>
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: currency:read
Response Body
application/json
application/json
List all currencies
curl --request GET \ --url 'https://example.com/api/external/currency'[ { "id": "currency_001", "code": "NGN", "name": "Nigerian Naira", "active": true }, { "id": "currency_002", "code": "CAD", "name": "Canadian Dollar", "active": true }, { "id": "currency_003", "code": "USD", "name": "United States Dollar", "active": true }, { "id": "currency_004", "code": "EUR", "name": "Euro", "active": true }, { "id": "currency_005", "code": "GBP", "name": "British Pound", "active": true }]